## cascading.flow.stream
Class SourceStage

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Stage<Incoming,Outgoing>
              cascading.flow.stream.ElementStage<Void,TupleEntry>
                  cascading.flow.stream.SourceStage

All Implemented Interfaces:
  ElementDuct, Callable<Throwable>

    public class SourceStage

extends ElementStage<Void,TupleEntry>
implements Callable<Throwable>

Field Summary

Fields inherited from class cascading.flow.stream.ElementStage
`branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`SourceStage(FlowProcess flowProcess, Tap source)`

Method Summary
`Throwable` `call()`
`void` `initialize()` Called immediately after bind
`void` `receive(Duct previous, Void nada)`
`void` `run(Object input)`

Methods inherited from class cascading.flow.stream.ElementStage
`addIncomingScope, addOutgoingScope, cleanup, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

Methods inherited from class cascading.flow.stream.Duct
`bind, complete, getNext, getNextFor, prepare, receiveFirst, start`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SourceStage

    public SourceStage(FlowProcess flowProcess,
                       Tap source)

Method Detail

### call

    public Throwable call()
                   throws Exception

  Specified by:
    `call` in interface `Callable<Throwable>`
  Throws:
    `Exception`

### run

    public void run(Object input)
             throws Throwable

  Throws:
    `Throwable`

### initialize

    public void initialize()

  Description copied from class: `Duct`
  Called immediately after bind

  Overrides:
    `initialize` in class `Duct<Void,TupleEntry>`

### receive

    public void receive(Duct previous,
                        Void nada)

  Overrides:
    `receive` in class `Stage<Void,TupleEntry>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.